Ir al contenido

Actualizar datos de un contacto

PUT
/contacts/{id}
curl --request PUT \
--url https://api.matiasimpulso.com/contacts/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "number": "example", "email": "hello@example.com", "profilePicUrl": "example", "isGroup": true, "disableBot": true, "active": true, "channel": "whatsapp", "remoteJid": "example", "lgpdAcceptedAt": "example", "urlPicture": "https://example.com", "pictureUpdated": true, "extraInfo": [ { "id": 1, "name": "example", "value": "example", "contactId": 1 } ], "tags": [ 1 ], "walletIds": [ 1 ] }'

Modifica el nombre, teléfono, correo electrónico, etiquetas o campos extra de un contacto existente.

id
required
number

ID del contacto

Media type application/json
object
name
string
>= 2 characters <= 255 characters
number
string
>= 8 characters <= 20 characters
email
string format: email
<= 255 characters
profilePicUrl
string
<= 2048 characters
isGroup
boolean
disableBot
boolean
active
boolean
channel
string
Allowed values: whatsapp telegram instagram facebook
remoteJid
string
lgpdAcceptedAt
string
urlPicture
string format: uri
pictureUpdated
boolean
extraInfo
Array<object>
object
id
number
name
required
string
>= 1 characters <= 255 characters
value
required
string
<= 1000 characters
contactId
number
tags
Array<number>
walletIds
Array<number>

Contacto actualizado correctamente

Datos de actualización inválidos

Contacto no encontrado